/*
**  $VER: import_dfa.rexx 00.01 (27.12.94)
**
**   1994 Jrg Krause
**
**  PROGRAMNAME:
**      import_dfa.rexx
**
**  FUNCTION:
**      import all addresses from DFA to Address-Book
**
**  $HISTORY:
**
**   27.12.94 : 00.01 : initial release
*/

options results

quote   = '22'X

if ~SHOW('P', 'DFA') then
do
    say 'Couldn't find Port DFA'
    exit 10
end

if ~SHOW('P', 'ADDRESS_BOOK.1') then
do
    say 'Couldn't find Port ADDRESS_BOOK.1'
    exit 10
end

do
    address 'DFA'

    CHANGEGROUPS GROUP1 GROUP2 GROUP3 GROUP4 GROUP5 GROUP6 GROUP7 GROUP8

    FIRST STEM ADR.

    do while RC=0

        sex     = ADR.ADDRESS.0
        first   = ADR.ADDRESS.1
        last    = ADR.ADDRESS.2
        street  = ADR.ADDRESS.4
        plz     = ADR.ADDRESS.5
        ort     = ADR.ADDRESS.6
        birth   = ADR.ADDRESS.9
        phone   = ADR.ADDRESS.10
        fax     = ADR.ADDRESS.11
        email1  = ADR.ADDRESS.12
        email2  = ADR.ADDRESS.13
        email3  = ADR.ADDRESS.14
        comment = ADR.ADDRESS.15       /* Will not work with DFA V2.2 (BUG!!:-)*/

        address 'ADDRESS_BOOK.1'

        'hide'

        'LOCKGUI'

        'ADD'  /* Add a new Entry to Address-Book */

        IF rc=0 then
          do
            lock=result  /* Lock the new entry */
            'LOCK 'lock
            if rc=0 then
              do
                'EDIT EMAIL='quote||email1||quote' SURNAME='quote||last||quote' PRENAME='quote||first||quote' STREET='quote||street||quote' POSTCODE='quote||plz||quote' TOWN='quote||ort||quote' FAX='quote||fax||quote' SEX='quote||sex||quote' BIRTHDAY='quote||birth||quote
                if RC ~=0 then
                  do
                    say'Maybe the length of the EDIT-field is to long'
                    exit 10
                  end
                'EDIT COMMENT='quote||comment||quote' PHONE='quote||phone||quote
                'ADD EMAIL='quote||email2||quote
                'ADD EMAIL='quote||email3||quote

                address 'DFA'

                NEXT STEM ADR.

              end
          end
    end

    address 'ADDRESS_BOOK.1'

    'activate'

    'UNLOCKGUI'

end

exit
